%global  commit_date   20181024
%global  commit_short  6470a38
%global  commit_long   6470a3806802e82218572e411f91d1bc3ef29558

Name:       gnome-shell-extension-topicons-plus
Summary:    Move all legacy tray icons to the top panel
Version:    21
Release:    8.%{commit_date}.%{commit_short}%{?dist}
URL:        https://extensions.gnome.org/extension/1031/topicons/
License:    GPLv2
BuildArch:  noarch

# There haven't been any *tagged* releases in a long time, but this is where they would be:
# https://github.com/phocean/TopIcons-plus/releases
Source0: https://github.com/phocean/TopIcons-plus/archive/%{commit_short}/TopIcons-plus-%{commit_short}.tar.gz
Source1: README.md

Requires: gnome-shell >= 3.16
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Many applications, such as chat clients, downloaders, and some media players,
are meant to run long-term in the background even after you close their window.
These applications remain accessible by adding an icon to the GNOME Shell Legacy
Tray. However, the Legacy Tray is hidden until you push your mouse into the
lower-left of the screen and click on the small tab that appears. TopIcons Plus
brings all icons back to the top panel, so that it's easier to keep track of
apps running in the background. You also get some options to control the look
and feel: You can leave the icons in full color, or dynamically convert them to
grayscale, etc.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  TopIcons@phocean.net
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -n TopIcons-plus-%{commit_long}

%build
# `build` make target is included in `make install`.

%install
%make_install  INSTALL_PATH=%{buildroot}/%{gnome_extensions_dir}
cp  %{SOURCE1}  ./README-fedora.md

rm %{final_install_dir}/locale/*/LC_MESSAGES/*.po
mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang TopIcons-Plus

# README also gets copied to the standard documentation directory, so we don't
# need it here.
rm  %{final_install_dir}/README.md

# RPM will take care of gschemas, so we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.topicons.gschema.xml  \
	%{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/



%files -f TopIcons-Plus.lang
%doc README.md  README-fedora.md
%license gpl-2.0.txt
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.topicons.gschema.xml



%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 21-8.20181024.6470a38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 25 2018 Andrew Toskin <andrew@tosk.in> - 21-7.20181024.6470a38
- phocean is merging various forks back into the original project, and
  fixing more stability issues.

* Mon Oct 8 2018 Andrew Toskin <andrew@tosk.in> - 21-6.20180831.dbbe4ce
- Rebased to new upstream, forked by jwrdegoede, which fixes bugs like
  failing to show status icons in GNOME 3.30, and other less significant
  issues.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 21-5.20180116.41f1a9b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun May 06 2018 Andrew Toskin <andrew@tosk.in> - 21-4.20180116.41f1a9b
- Upstream merged contributed localization updates but did not tag a
  release before archiving the project. No further updates are planned,
  apparently.
